For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Get supportSee a Demo
HomeAPI ReferenceSDKs
HomeAPI ReferenceSDKs
    • SDKs
    • WebView
  • API Reference
      • POSTCreate Incoming Transactions
      • POSTCreate Bulk Transactions Upload URL
      • POSTCreate Audits
      • GETGet Earned Rewards
        • POSTCreate Upload
        • PUTAdd Upload Part
        • PUTUpdate Upload
Get supportSee a Demo
API ReferenceTransactionsUploads

Update Upload

Deprecated
PUT
/v2/issuers/:organizationId/users/:userId/uploads/:uploadId
PUT
/v2/issuers/:organizationId/users/:userId/uploads/:uploadId
$curl -X PUT https://rewards-api.getkard.com/v2/issuers/organization-123/users/user-123/uploads/upload-123 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "type": "historicalTransactionComplete",
> "attributes": {},
> "id": "7e382223-b9a5-4825-91fb-436c8957a2e7"
> }
>}'
1{
2 "data": {
3 "type": "historicalTransactionComplete",
4 "attributes": {},
5 "id": "7e382223-b9a5-4825-91fb-436c8957a2e7"
6 }
7}
<b>Deprecated.</b> This endpoint is deprecated in favor of the [Create Bulk Transactions Upload URL](/2024-10-01/api/transactions/create-bulk-transactions-upload-url) endpoint. New integrations should use the bulk flow outlined in the [Historical Transaction Uploads](/2024-10-01/api/integration-guides/historical-transaction-uploads) integration guide. Call this endpoint to update your upload session. Currently, you can signal completing a historical transactions upload. <b>Required scopes:</b> `transaction:write`
Was this page helpful?
Previous

Create Users

Next
Built with

Deprecated. This endpoint is deprecated in favor of the Create Bulk Transactions Upload URL endpoint. New integrations should use the bulk flow outlined in the Historical Transaction Uploads integration guide.

Call this endpoint to update your upload session. Currently, you can signal completing a historical transactions upload. Required scopes: transaction:write

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
Your issuer organization ID, provided by Kard
userIdstringRequired
The ID of the user as defined on the issuers system
uploadIdstringRequired
The upload ID identifying the upload session to update

Request

This endpoint expects an object.
dataobjectRequired

Response

This endpoint returns an object.
dataobject

Errors

400
Invalid Request
401
Unauthorized Error
409
Conflict Error
500
Internal Server Error